Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.mail
Class Mail

    java.lang.Object
      org.jbpm.mail.Mail

All Implemented Interfaces:
  java.io.Serializable, ActionHandler

    public class Mail

extends java.lang.Object
implements ActionHandler

See Also:
  Serialized Form

Constructor Summary
`Mail()`
`Mail(java.lang.String template, java.lang.String actors, java.lang.String to, java.lang.String subject, java.lang.String text)`

Method Summary
`void` | `execute(ExecutionContext executionContext)`
`java.lang.String` | `getFromAddress()`
`java.util.List` | `getRecipients()`
`java.lang.String` | `getSubject()`
`java.lang.String` | `getText()`
`protected java.util.Collection` | `resolveAddresses(java.util.List actorIds)`
`void` | `send()`
`static void` | `send(java.util.Properties mailServerProperties, java.lang.String fromAddress, java.util.List recipients, java.lang.String subject, java.lang.String text)`
`protected java.util.List` | `tokenize(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mail

    public Mail()

### Mail

    public Mail(java.lang.String template,
                java.lang.String actors,
                java.lang.String to,
                java.lang.String subject,
                java.lang.String text)

Method Detail

### execute

    public void execute(ExecutionContext executionContext)

  Specified by:
    `execute` in interface `ActionHandler`

### getRecipients

    public java.util.List getRecipients()

### getSubject

    public java.lang.String getSubject()

### getText

    public java.lang.String getText()

### getFromAddress

    public java.lang.String getFromAddress()

### send

    public void send()

### send

    public static void send(java.util.Properties mailServerProperties,
                            java.lang.String fromAddress,
                            java.util.List recipients,
                            java.lang.String subject,
                            java.lang.String text)

### tokenize

    protected java.util.List tokenize(java.lang.String text)

### resolveAddresses

    protected java.util.Collection resolveAddresses(java.util.List actorIds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD